package ca.recrown.islandsurvivalcraft.world.generation;

import org.bukkit.World;
import org.bukkit.block.Biome;

import ca.recrown.islandsurvivalcraft.world.BiomeSelector;
import ca.recrown.islandsurvivalcraft.world.IslandWorldMapper;

public interface IslandBiomeGenerator {
    public void initialize(World world, IslandWorldMapper mapGenerator, BiomeSelector biomeSelector);
    public Biome GenerateBiome(int chunkX, int chunkZ, int localX, int localZ);
    public IslandBiomeGenerator getInstance();
}
